AppdefGroupPagerFilterExclude (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterExclude class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefGroupPagerFilterExclude

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterExclude

All Implemented Interfaces:
  AppdefPagerFilter

    public class AppdefGroupPagerFilterExclude

extends java.lang.Object
implements AppdefPagerFilter

Pager Processor filter that filters objects of both AppdefGroupValue and AlldefEntityID based on their existance in an exclusionary set.

Constructor Summary
`AppdefGroupPagerFilterExclude(java.util.Set excludes)`
`AppdefGroupPagerFilterExclude(java.util.Set excludes, boolean negate)`

Method Summary
`java.util.Set` | `getExclusionarySet()`
`int` | `getFilterCount()` Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively
`boolean` | `isCaught(java.lang.Object id)` Evaluate an object against the filter.
`protected boolean` | `isExclude(AppdefEntityID id)`
`boolean` | `isExclusive()` Is this filer set to exclude resources that match the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefGroupPagerFilterExclude

    public AppdefGroupPagerFilterExclude(java.util.Set excludes)

### AppdefGroupPagerFilterExclude

    public AppdefGroupPagerFilterExclude(java.util.Set excludes,
                                         boolean negate)

Method Detail

### getExclusionarySet

    public java.util.Set getExclusionarySet()

### getFilterCount

    public int getFilterCount()

  Description copied from interface: `AppdefPagerFilter`
  Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively

  Specified by:
    `getFilterCount` in interface `AppdefPagerFilter`

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `AppdefPagerFilter`
  Is this filer set to exclude resources that match the filter. If exclude==false, this would imply an inclusive filter.

  Specified by:
    `isExclusive` in interface `AppdefPagerFilter`

### isCaught

    public boolean isCaught(java.lang.Object id)

  Evaluate an object against the filter.

  Specified by:
    `isCaught` in interface `AppdefPagerFilter`
  Parameters:
    `object` - instance of either AppdefGroupValue or AppdefEntityID
  Returns:
    flag - true if caught (unless negated)

### isExclude

    protected boolean isExclude(AppdefEntityID id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.